Get Distances and Duration for Closest Locations
1 min
POST
https://api.upstartcommerce.com/v1/location/closestLocationsWithDistancesAndDuration2
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectThe origin coordinates and the locations to measure distance and travel time to.
200<p>Object with filtered locations, including several distances and duration data from specified coordinates.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request POST \
--url https://api.upstartcommerce.com/v1/location/closestLocationsWithDistancesAndDuration2 \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"coordinates": {
"latitude": "",
"longitude": ""
},
"distance": {
"value": ""
},
"term": {
"and": {
"or": {
"not": {}
},
"not": {}
},
"or": {
"not": {}
},
"not": {}
}
}'